# EntityAttributes

```json
{
  "name": "",
  "abbreviation": "",
  "billingStreet": "",
  "billingCity": "",
  "billingState": "",
  "billingZip": "",
  "billingCountry": "",
  "disputeInvoiceAction": "DisputeInvoiceAction",
  "disputeSubscriptionAction": "DisputeSubscriptionAction",
  "phone": "",
  "fax": "",
  "website": "",
  "quoteNumberSeq": 123,
  "quoteNumberPrefix": "",
  "invoiceNumberSeq": 123,
  "invoiceNumberPrefix": "",
  "brandColor": "",
  "accentColor": "",
  "emailTemplate": "",
  "emailSenderName": "",
  "termsUrl": "",
  "privacyUrl": "",
  "refundPolicyUrl": "",
  "customerServiceEmail": "",
  "taxType": "TaxType",
  "taxId": "",
  "timezone": "",
  "fiscalYearStartMonth": 123,
  "isDefault": true,
  "hideZeroQuoteCharges": true,
  "emailBody": "",
  "emailSubject": "",
  "baseCurrencyId": "456123"
}
```

| Name                      | Type                                                                                     | Description                                                                            |
| ------------------------- | ---------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------- |
| name                      | String                                                                                   | Name of the entity                                                                     |
| abbreviation              | String                                                                                   | Short name of the entity                                                               |
| billingStreet             | String                                                                                   | Street address for billing                                                             |
| billingCity               | String                                                                                   | City for billing                                                                       |
| billingState              | String                                                                                   | State for billing                                                                      |
| billingZip                | String                                                                                   | Zip/PostalCode for billing                                                             |
| billingCountry            | String                                                                                   | Country for billing                                                                    |
| disputeInvoiceAction      | [DisputeInvoiceAction](/developer/api-reference/enums.md#disputeinvoiceaction)           | Action to over an invoice when a dispute is lost                                       |
| disputeSubscriptionAction | [DisputeSubscriptionAction](/developer/api-reference/enums.md#disputesubscriptionaction) | Action to take over a subscription when dispute is lost                                |
| phone                     | String                                                                                   | Primary phone number for the company                                                   |
| fax                       | String                                                                                   | Primary fax number for the company                                                     |
| website                   | String                                                                                   | Company website address                                                                |
| quoteNumberSeq            | Int                                                                                      | Number to start quote numbers from                                                     |
| quoteNumberPrefix         | String                                                                                   | Prefix value for all quote numbers. e.g. ABC                                           |
| invoiceNumberSeq          | Int                                                                                      | Number to start invoice numbers from                                                   |
| invoiceNumberPrefix       | String                                                                                   | Prefix value for all invoice numbers. e.g. INV                                         |
| brandColor                | String                                                                                   | Brand color used for the customer portal                                               |
| accentColor               | String                                                                                   | Accent color used for the customer portal                                              |
| emailTemplate             | String                                                                                   | Email template                                                                         |
| emailSenderName           | String                                                                                   | The name that will appear as sender in the inbox                                       |
| termsUrl                  | String                                                                                   | Link to the company's terms of service                                                 |
| privacyUrl                | String                                                                                   | Link to the company's privacy policfy                                                  |
| refundPolicyUrl           | String                                                                                   | Link to the company's refund policy                                                    |
| customerServiceEmail      | String                                                                                   | Email address for customer service                                                     |
| taxType                   | [TaxType](/developer/api-reference/enums.md#taxtype)                                     | Tax type to display on invoices                                                        |
| taxId                     | String                                                                                   | Tax ID to display on invoices                                                          |
| timezone                  | String                                                                                   | Timezone for the company                                                               |
| fiscalYearStartMonth      | Int                                                                                      | The first month of the fiscal year (0-11)                                              |
| isDefault                 | Boolean                                                                                  | New accounts will automatically be assigned to the default entity if none is specified |
| hideZeroQuoteCharges      | Boolean                                                                                  | Hide $0 charges from customer-facing quotes                                            |
| emailBody                 | String                                                                                   | Default quote email body template                                                      |
| emailSubject              | String                                                                                   | Default quote email subject template                                                   |
| baseCurrencyId            | ID                                                                                       | Base currency for the entity                                                           |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bunny.com/developer/api-reference/types/entityattributes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
